# Samb konfigurieren

Rechte masken bearbeiten
https://blog.jonaspasche.com/2010/11/24/endlich-verstehen-samba-rechtevergabe/$0

```
Kurzübersicht

Rechtevergabe beim Anlegen erzwingen:

Dateien:
[max] create mask
[min] force create mode
Verzeichnisse:
[max] directory mask
[min] force directory mode
Rechtevergabe beim Ändern erzwingen:

Dateien:
[max] security mask
[min] force security mode
Verzeichnisse:
[max] directory security mask
[min] force directory security mode
Tip: Üblicherweise möchte man ja nicht, dass einmal beim Anlegen gesetzte Rechte nachträglich verändert werden – dann hätte man sich das Erzwingen der Rechte beim Anlegen ja auch gleich sparen können. Insofern sollte eine Nicht-„security“-Einstellung immer durch die entsprechende „security“-Einstellung ergänzt werden.

Fazit:

Will man nur ein Maximum an Rechten erzwingen (= bestimmte Rechte verbieten, obwohl der Client sie setzen wollte), braucht man diese vier Einstellungen (wir erinnern uns: Maximum wird durch AND erzielt, AND mit A, so wie in „mask“):

create mask
directory mask
security mask
directory security mask

Will man nur ein Minimum an Rechten erzwingen (= bestimmte Rechte immer setzen, auch wenn der Client das gar nicht wollte), braucht man jene vier Einstellungen (wir erinnern uns: Minimum wird durch OR erzielt, OR mit O, so wie in „force“ und in „mode“):

force create mode
force directory mode
force security mode
force directory security mode

Will man ganz bestimmte Rechte erzwingen, unabhängig davon, was der Client sich für Rechte wünscht, braucht man alle acht Einstellungen:

create mask
force create mode
directory mask
force directory mode
security mask
force security mode
directory security mask
force directory security mode
```

